Subject: Bugs in tan(x) and atan(x)
From: [email-masked] (Gunnar Isaksson)

20 Jan 1997 02:28:07 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (X11; I; HP-UX A.09.05 9000/735)
Original-To: [email-masked]
Original-Sender: [email-masked]

Dear Sirs,

A few months ago I reported some bugs in
the mathlibrary concerning the tan(x) and atan(x)
functions and a workaround by using tanf(x) and
atanf(x).

I am sorry to report that this workaround does
not work in the 17.1 beta release of the Cygnus
GCC implementation.

Now both tan(x) and atanf(x) contains exact the
same error. atan(x) and atanf(x) has also the same
error. The errors can't be seen for small x-values
and is noticed only for large x-values.

I hope this information helps you in catching
bugs in GCC. My impression is that your version
of GCC is very stable and works great.

Best regards,

     Gunnar Isaksson 
-- 
=============================================    
    Gunnar Isaksson   Hamradio: SM5IUF
    Internet: [email-masked]
_____________________________________________
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".